Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List incident retrospectives
cURL
curl --request GET \ --url https://api.rootly.com/v1/post_mortems \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.rootly.com/v1/post_mortems" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rootly.com/v1/post_mortems', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.rootly.com/v1/post_mortems", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.rootly.com/v1/post_mortems" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/post_mortems") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.rootly.com/v1/post_mortems") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "type": "incident_post_mortems", "attributes": { "title": "<string>", "created_at": "<string>", "updated_at": "<string>", "content": "<string>", "status": "draft", "started_at": "<string>", "mitigated_at": "<string>", "resolved_at": "<string>", "show_timeline": true, "show_timeline_trail": true, "show_timeline_genius": true, "show_timeline_tasks": true, "show_timeline_action_items": true, "show_timeline_order": "desc", "show_services_impacted": true, "show_functionalities_impacted": true, "show_groups_impacted": true, "show_alerts_attached": true, "url": "<string>", "notion_page_id": "<string>", "notion_page_url": "<string>", "coda_doc_id": "<string>", "coda_doc_url": "<string>", "coda_page_id": "<string>" } } ], "links": { "self": "<string>", "first": "<string>", "prev": "<string>", "next": "<string>", "last": "<string>" }, "meta": { "current_page": 123, "next_page": 123, "prev_page": 123, "total_count": 123, "total_pages": 123, "next_cursor": "<string>" }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Filter by incident IDs (UUIDs), comma-separated
Filter by incident type slugs
Filter by incident type IDs (UUIDs)
Filter by environment slugs
Filter by environment IDs (UUIDs)
Filter by functionality slugs
Filter by functionality IDs (UUIDs)
Filter by service slugs
Filter by service IDs (UUIDs)
Filter by team/group slugs
Filter by team/group IDs (UUIDs)
Filter by cause slugs
Filter by cause IDs (UUIDs)
success
Show child attributes
Was this page helpful?
Contact support